TICKIT_RECT(7)

NAME
TickitRect - utility structure representing a rectangular region

SYNOPSIS
    #include <tickit.h>

    typedef struct {
      int top;
      int left;
      int lines;
      int cols;
    } TickitRect;

DESCRIPTION
A TickitRect structure represents a single non-empty rectangular region of the screen. It stores the position of the top left corner of the region, and its size in lines and columns.

FUNCTIONS
A new TickitRect structure can be initialised using the tickit_rect_init_sized(3) and tickit_rect_init_bounded(3) functions. Its bottom right corner can be obtained using tickit_rect_bottom(3) and tickit_rect_right(3). Interactions between rectangles can be tested using the predicate functions tickit_rect_contains(3) and tickit_rect_intersects(3). New rectangles can be created from existing ones using tickit_rect_intersect(3) to form the intersection, tickit_rect_add(3) to form the union sum, and tickit_rect_subtract(3).